Bug 432148 - NetworkManager fails to associate with encrypted wireless networks.
NetworkManager fails to associate with encrypted wireless networks.
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-08 22:28 EST by Chris Hackmeyer
Modified: 2008-10-20 10:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-20 10:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Relevant portion of /var/log/messages (8.76 KB, text/plain)
2008-02-08 22:28 EST, Chris Hackmeyer
no flags Details

  None (edit)
Description Chris Hackmeyer 2008-02-08 22:28:20 EST
Description of problem:

When any wireless network encrypted with WPA2 (can't test other types of
encryption ATM) is selected in nm-applet's network list, NM will attempt to
associate with the network for ~30 seconds.  Then it asks for the network
password.  Upon entering the password, it simply goes through the same thing
again.  This has been a regularly occurring problem; it seems to occur about
every third update to NetworkManager or so.

Version-Release number of selected component (if applicable):

NetworkManager: 1:0.7.0-0.6.7.svn3235
NetworkManager-gnome: Same as NetworkManager
I'm also using kernel version

How reproducible:

Happens every time a wireless network is chosen in nm-applet.
Actual results:

NetworkManager makes repeated failed attempts to associate with WPA2-encrypted

Expected results:

NetworkManager successfully associates with with my WPA2 network.  Note that it
had been doing so with no problems for a while, until I installed updates
earlier today (which included a NetworkManager update).

Additional info:

A relevant portion of my /var/log/messages is attached.  It contains output from
NetworkManager as I did the following:

1. Selected my WPA2 network in nm-applet
2. Waited for it to associate
3. It threw up a window asking for the network's password, which I provided.
4. It threw up the same window again.
5. I clicked cancel, and it started connecting to my wired network.
Comment 1 Chris Hackmeyer 2008-02-08 22:28:20 EST
Created attachment 294447 [details]
Relevant portion of /var/log/messages
Comment 2 Chris Hackmeyer 2008-02-09 15:44:34 EST
Just to see what would happen, I manually (using rpm) removed the new
NetworkManager, NetworkManager-glib, and NetworkManager-gnome packages, then
manually reinstalled them using rpm files that I downloaded from a Fedora
mirror, and now the problem seems to have gone away.  Strange.
Comment 3 Dan Williams 2008-10-20 10:26:11 EDT
Testing and working with NM 0.7.0-0.11.svn4022.3.fc8, kernel, with an ipw2200 against a WPA/WPA2 AP.

Note You need to log in before you can comment on or make changes to this bug.